POST /webhooks

Create a webhook (secret returned once)

POST
/webhooks

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
url*string

Public https URL

events?array<>

Default post.published, post.failed, post.pending_approval

Items1 <= items

Response Body

{webhook}

application/json
  1. response
webhook?
Example Request
curl -X POST 'https://example.com/api/v1/webhooks' \  -H 'Content-Type: application/json' \  -d '{  "url": "string"}'
Example Response
{  "webhook": {    "id": "string",    "url": "string",    "events": "string",    "createdAt": "2019-08-24T14:15:22Z",    "secret": "string"  }}